Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229338 - qdisk no-heuristic mode does not work
Summary: qdisk no-heuristic mode does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: cman
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-20 13:47 UTC by Lon Hohberger
Modified: 2018-10-19 23:06 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0134
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-10 21:05:50 UTC


Attachments (Terms of Use)
Makes it work (deleted)
2007-02-20 14:13 UTC, Lon Hohberger
no flags Details | Diff
Better patch; fixes logging (deleted)
2007-02-21 20:06 UTC, Lon Hohberger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0134 normal SHIPPED_LIVE cman bug fix update 2007-05-10 21:04:00 UTC

Description Lon Hohberger 2007-02-20 13:47:31 UTC
Description of problem:

The 4.5 update is supposed to allow qdiskd to run with no heuristics in a
"master-wins" behavior by faking a 1/1 heuristic score permanently.  This does
not work; it boots with 0/0.

Version-Release number of selected component (if applicable): 


How reproducible: 100%


Steps to Reproduce:
1. Start qdiskd with 0 heuristics
  
Actual results: Score is 0/0

Expected results: Score is 1/1

Comment 1 Lon Hohberger 2007-02-20 14:13:57 UTC
Created attachment 148410 [details]
Makes it work

Comment 2 Lon Hohberger 2007-02-20 14:14:37 UTC
Feb 20 14:09:48 war qdiskd[10873]: <debug> 0 heuristics loaded 
Feb 20 14:09:48 war qdiskd[10873]: <debug> Quorum Daemon: 0 heuristics, 5
interval, 30 tko, 4 votes 
Feb 20 14:09:48 war qdiskd[10873]: <info> Quorum Partition: /dev/sdb1 Label: apoc 
Feb 20 14:09:48 war qdiskd[10874]: <info> Quorum Daemon Initializing 
Feb 20 14:09:48 war qdiskd[10874]: <debug> Permanently setting score to 1/1 


Comment 3 Lon Hohberger 2007-02-21 20:06:39 UTC
Created attachment 148531 [details]
Better patch; fixes logging

Comment 4 Lon Hohberger 2007-02-21 20:27:13 UTC
patch in CVS

Comment 7 Red Hat Bugzilla 2007-05-10 21:05:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0134.html



Note You need to log in before you can comment on or make changes to this bug.